import QtQuick 2.12
import QtQuick.Window 2.12
import QtQuick.Controls 2.12

import Impl

Window {
    width: 640
    height: 480
    visible: true
    title: qsTr("devicePixelRatio example")

    Impl{
        id: impl
        onResult: function(result){
            resultText.text = result;
            console.log( result );
        }
    }

    Column{
        Row{
            Button{
                text: "Works"
                onClicked: impl.works()
            }
            Button{
                text: "Fails"
                onClicked: impl.fails()
            }
        }
        Text{ id: resultText }
    }
}
